complexType "FxTouch"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 11 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 11 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | touchCondition, direction?, quotedCurrencyPair, triggerRate, spotRate?, informationSource+, ((observationStartDate, observationStartTime?, (observationEndDate, observationEndTime?)?) | observationPoint[2..*])?
</...>

Content Model Elements (11):

  direction (in touch), informationSource (in touch), observationEndDate (in touch), observationEndTime (in touch), observationPoint (in touch), observationStartDate (in touch), | observationStartTime (in touch), quotedCurrencyPair (in touch), spotRate (in touch), touchCondition, triggerRate (in touch)

All Direct / Indirect Based Elements (1):

  touch

Known Usage Locations

- As direct type of elements (1):
  touch

Annotation
Describes an american or discrete touch or no-touch trigger applied to an FX binary or digital option.
XML Source (w/o annotations (12); see within schema source)

<xsd:complexType name="FxTouch"> <xsd:sequence> <xsd:element name="touchCondition" type="TouchConditionEnum"/> <xsd:element minOccurs="0" name="direction" type="TriggerConditionEnum"/> <xsd:element name="quotedCurrencyPair" type="QuotedCurrencyPair"/> <xsd:element name="triggerRate" type="PositiveDecimal"/> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"/> <xsd:element maxOccurs="unbounded" name="informationSource" type="InformationSource"/> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:sequence> <xsd:element name="observationStartDate" type="xsd:date"/> <xsd:element minOccurs="0" name="observationStartTime" type="BusinessCenterTime"/> </xsd:sequence> <xsd:sequence minOccurs="0"> <xsd:element name="observationEndDate" type="xsd:date"/> <xsd:element minOccurs="0" name="observationEndTime" type="BusinessCenterTime"/> </xsd:sequence> </xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="2" name="observationPoint" type="FxBusinessCenterDateTime"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 11/11)
direction

  Type: | TriggerConditionEnum, simple content

  This specifies whether the trigger direction is "AtOrAbove" or "AtOrBelow; that is, that a barrier event occurs if the spot rate is at or above the trigger rate, or at or below the trigger rate during the period of observation of an american trigger, or at the times of observation of a discrete trigger. DEPRECATE: Values "Above" and "Below" are deprecated.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "AtOrAbove" | - | The spot rate must be greater than or equal to the trigger rate. See: http://www.FpML.org
  "AtOrBelow" | - | The spot rate must be less than or equal to the trigger rate. See: http://www.FpML.org
  "Above" | - | DEPRECATE: The spot rate must be greater than or equal to the trigger rate. See: http://www.FpML.org
  "Below" | - | DEPRECATE: The spot rate must be less than or equal to the trigger rate. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="direction" type="TriggerConditionEnum"/>

informationSource

  Type: | InformationSource, complex content

  The information source where a published or displayed market rate will be obtained, e.g. Telerate Page 3750.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="informationSource" type="InformationSource"/>

observationEndDate

  Type: | xsd:date, predefined, simple content

  The date on which the observation period for an american trigger ends. If the end date is not present, then the date and time of the end of the period is deemed to be the date and time of expiration.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="observationEndDate" type="xsd:date"/>

observationEndTime

  Type: | BusinessCenterTime, complex content

  The time on the end date at which the observation period for an american trigger ends. If the time is not present, then the time is deemed to be the same as the expiration time.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="observationEndTime" type="BusinessCenterTime"/>

observationPoint

  Type: | FxBusinessCenterDateTime, complex content

  The dates and times at which rate observations are made to determine whether a barrier event has occurred for a discrete trigger. If the time is not present then the time is deemed to be the same as the expiration time.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="2" name="observationPoint" type="FxBusinessCenterDateTime"/>

observationStartDate

  Type: | xsd:date, predefined, simple content

  The date on which the observation period for an american trigger starts. If the start date is not present, then the date and time of the start of the period is deemed to be the date and time the transaction was entered into.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="observationStartDate" type="xsd:date"/>

observationStartTime

  Type: | BusinessCenterTime, complex content

  The time on the start date at which the observation period for an american trigger starts. If the time is not present and the start date is equivalent to the transaction date, the time is deemed to be the time the transaction was entered into. If the time is not present and the start date is other than the transaction date, then the time is deemed to be the same as the expiration time.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="observationStartTime" type="BusinessCenterTime"/>

quotedCurrencyPair

  Type: | QuotedCurrencyPair, complex content

  Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="quotedCurrencyPair" type="QuotedCurrencyPair"/>

spotRate

  Type: | PositiveDecimal, simple content

  An optional element used for FX forwards and certain types of FX OTC options. For deals consumated in the FX Forwards Market, this represents the current market rate for a particular currency pair. For barrier and digital/binary options, it can be useful to include the spot rate at the time the option was executed to make it easier to know whether the market rate needs to move "up" or "down" to trigger a barrier event.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"/>

touchCondition

  Type: | TouchConditionEnum, simple content

  This specifies whether the applied trigger is a touch or no touch type.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Touch" | - | The spot rate must have touched the predetermined trigger rate at any time over the life of the option for the payout to occur. See: http://www.FpML.org
  "Notouch" | - | The spot rate has not touched the predetermined trigger rate at any time over the life of the option for the payout to occur. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="touchCondition" type="TouchConditionEnum"/>

triggerRate

  Type: | PositiveDecimal, simple content

  The market rate is observed relative to the trigger rate, and if it is found to be on the predefined side of (above or below) the trigger rate, a barrier event is deemed to have occurred.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="triggerRate" type="PositiveDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.